import { SelectMenuOptionBuilder, Emoji } from 'discord.js';
export declare enum SelectMenuStyle {
    text = 3,
    user = 5,
    role = 6,
    mentionable = 7,
    channels = 8
}
export interface SelectMenu {
    type: 3 | 5 | 6 | 7 | 8;
    custom_id: string;
    options: SelectMenuOption[];
    placeholder?: string;
    min_values?: number;
    max_values?: number;
    disabled?: boolean;
}
export interface InternalSelectMenuOption extends SelectMenuOptionBuilder {
    label: string;
    value: string;
    description?: string;
    emoji?: {
        name: string;
        id: string;
        animated?: boolean;
    } | string | undefined | Emoji;
    default?: boolean;
}
export interface SelectMenuOption {
    label: string;
    value: string;
    description?: string;
    emoji?: {
        name: string;
        id: string;
        animated?: boolean;
    } | string | undefined | Emoji;
    default?: boolean;
}
